#sudo RemoteCommand <port> page <RIC> "<message>"       where port is 7642

import websocket
import _thread as thread
import time
import json
import os

def on_message(ws, message):
    print(message)
    if message.startswith("SendPage:"):
        jsonstring = message[9:]
        j = json.loads(jsonstring)
        command = "sudo RemoteCommand 7642 page " + j["ric"] + " \"" + j["msg"] + "\""
        print (command)
        # execute the command now
        os.system(command)

def on_error(ws, error):
    print(error)

def on_close(ws):
    print("### closed ###")

# def on_open(ws):
#     def run(*args):
#         for i in range(3):
#             time.sleep(1)
#             ws.send("Hello %d" % i)
#         time.sleep(1)
#         ws.close()
#         print("thread terminating...")
#     thread.start_new_thread(run, ())

def on_open(ws):
    ws.send("PageServer!")

if __name__ == "__main__":
    #websocket.enableTrace(True)
    ws = websocket.WebSocketApp("ws://hub01.wshiggins.net:55001/",
                              on_message = on_message,
                              on_error = on_error,
                              on_close = on_close)
    ws.on_open = on_open
    ws.run_forever()
